Bug 1798906 - Monitoring: Error when navigating from Dashboards page to Metrics page then clicking "Insert Example Query"
Summary: Monitoring: Error when navigating from Dashboards page to Metrics page then c...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Management Console
Version: 4.4
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: 4.4.0
Assignee: Andrew Pickering
QA Contact: Yadan Pei
URL:
Whiteboard:
Depends On: 1795396
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-02-06 09:40 UTC by Andrew Pickering
Modified: 2020-05-04 11:34 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-05-04 11:34:15 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift console pull 4221 None closed Bug 1798906: Query Browser: Fix error inserting example query 2020-04-22 08:42:44 UTC
Red Hat Product Errata RHBA-2020:0581 None None None 2020-05-04 11:34:34 UTC

Description Andrew Pickering 2020-02-06 09:40:40 UTC
`TypeError: Cannot read property 'get' of undefined` when navigating from the Monitoring Dashboards page to the Metrics page, then clicking the "Insert Example Query" button.

Comment 2 Yadan Pei 2020-02-10 06:49:51 UTC
1. Visit Monitoring -> Dashboards page
2. Navigate to Monitoring -> Metrics page and click 'Insert Example Query", metrics can be successfully loaded

Verified on 4.4.0-0.nightly-2020-02-09-193413

Comment 4 errata-xmlrpc 2020-05-04 11:34:15 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:0581


Note You need to log in before you can comment on or make changes to this bug.